Package org.linphone.core

# Interface ProxyConfig

public interface ProxyConfig
Deprecated.
06/04/2020 Use `Account` object instead
Represents an account configuration to be used by `Core`.
In addition to the `AuthInfo` that stores the credentials, you need to
configure a `ProxyConfig` as well to be able to connect to a proxy server.
A minimal proxy config consists of an identity address
(sip:username@domain.tld) and the proxy server address, see: `setServerAddr(java.lang.String)`
.
If any, it will be stored inside the default configuration file, so it will
survive the destruction of the `Core` and be available at the next start.
The account set with `Core.setDefaultProxyConfig(org.linphone.core.ProxyConfig)` will be used as default
for outgoing calls invalid input: '&' chat messages unless specified otherwise.

## Method Summary

Modifier and Type
Method
Description
`int`
`done()`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`edit()`
Deprecated.
06/04/2020 Use `Account` object instead
`AuthInfo`
`findAuthInfo()`
Deprecated.
06/04/2020 Use `Account` object instead
`AVPFMode`
`getAvpfMode()`
Deprecated.
06/04/2020 Use `Account` object instead
`int`
`getAvpfRrInterval()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getConferenceFactoryUri()`
Deprecated.
06/04/2020 Use `Account` object instead
`Address`
`getContact()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getContactParameters()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getContactUriParameters()`
Deprecated.
06/04/2020 Use `Account` object instead
`Core`
`getCore()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getCustomHeader(String headerName)`
Deprecated.
06/04/2020 Use `Account` object instead
`ProxyConfig`
`getDependency()`
Deprecated.
06/04/2020 Use `Account` object instead
`boolean`
`getDialEscapePlus()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getDialPrefix()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getDomain()`
Deprecated.
06/04/2020 Use `Account` object instead
`Reason`
`getError()`
Deprecated.
06/04/2020 Use `Account` object instead
`ErrorInfo`
`getErrorInfo()`
Deprecated.
06/04/2020 Use `Account` object instead
`int`
`getExpires()`
Deprecated.
06/04/2020 Use `Account` object instead
`Address`
`getIdentityAddress()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getIdkey()`
Deprecated.
06/04/2020 Use `Account` object instead
`long`
`getNativePointer()`
Deprecated.
Gets the native pointer used by this class to make native method calls.
`NatPolicy`
`getNatPolicy()`
Deprecated.
06/04/2020 Use `Account` object instead
`int`
`getPrivacy()`
Deprecated.
06/04/2020 Use `Account` object instead
`int`
`getPublishExpires()`
Deprecated.
06/04/2020 Use `Account` object instead
`PushNotificationConfig`
`getPushNotificationConfig()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getQualityReportingCollector()`
Deprecated.
06/04/2020 Use `Account` object instead
`int`
`getQualityReportingInterval()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getRealm()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getRefKey()`
Deprecated.
06/04/2020 Use `Account` object instead
`String[]`
`getRoutes()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getServerAddr()`
Deprecated.
06/04/2020 Use `Account` object instead
`RegistrationState`
`getState()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`getTransport()`
Deprecated.
06/04/2020 Use `Account` object instead
`int`
`getUnreadChatMessageCount()`
Deprecated.
06/04/2020 Use `Account` object instead
`Object`
`getUserData()`
Deprecated.
Gets the object stored in this object user's data
`boolean`
`isAvpfEnabled()`
Deprecated.
06/04/2020 Use `Account` object instead
`boolean`
`isPublishEnabled()`
Deprecated.
06/04/2020 Use `Account` object instead
`boolean`
`isPushNotificationAllowed()`
Deprecated.
06/04/2020 Use `Account` object instead
`boolean`
`isPushNotificationAvailable()`
Deprecated.
06/04/2020 Use `Account` object instead
`boolean`
`isQualityReportingEnabled()`
Deprecated.
06/04/2020 Use `Account` object instead
`boolean`
`isRegisterEnabled()`
Deprecated.
06/04/2020 Use `Account` object instead
`boolean`
`isRemotePushNotificationAllowed()`
Deprecated.
06/04/2020 Use `Account` object instead
`String`
`normalizePhoneNumber(String username)`
Deprecated.
06/04/2020 Use `Account` object instead
`Address`
`normalizeSipUri(String username)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`pauseRegister()`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`refreshRegister()`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setAvpfMode(AVPFMode mode)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setAvpfRrInterval(int interval)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setConferenceFactoryUri(String uri)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setContactParameters(String contactParams)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setContactUriParameters(String contactUriParams)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setCustomHeader(String headerName, String headerValue)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setDependency(ProxyConfig dependsOn)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setDialEscapePlus(boolean enable)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setDialPrefix(String prefix)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setExpires(int expires)`
Deprecated.
06/04/2020 Use `Account` object instead
`int`
`setIdentityAddress(Address identity)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setIdkey(String idkey)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setNatPolicy(NatPolicy policy)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setPrivacy(int privacy)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setPublishEnabled(boolean enable)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setPublishExpires(int expires)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setPushNotificationAllowed(boolean allow)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setPushNotificationConfig(PushNotificationConfig pushCfg)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setQualityReportingCollector(String collector)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setQualityReportingEnabled(boolean enable)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setQualityReportingInterval(int interval)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setRealm(String realm)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setRefKey(String refkey)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setRegisterEnabled(boolean enable)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setRemotePushNotificationAllowed(boolean allow)`
Deprecated.
06/04/2020 Use `Account` object instead
`int`
`setRoute(String route)`
Deprecated.
08/07/2020 use `setRoutes(java.lang.String[])` instead
`int`
`setRoutes(String[] routes)`
Deprecated.
06/04/2020 Use `Account` object instead
`int`
`setServerAddr(String serverAddress)`
Deprecated.
06/04/2020 Use `Account` object instead
`void`
`setUserData(Object data)`
Deprecated.
Sets the object to store in this object user's data
`String`
`toString()`
Deprecated.

## Method Details

### isAvpfEnabled

@Deprecated boolean isAvpfEnabled()
Deprecated.
06/04/2020 Use `Account` object instead
Indicates whether AVPF/SAVPF is being used for calls using this proxy config.

Returns:
  True if AVPF/SAVPF is enabled, false otherwise.

### getAvpfMode

@Deprecated AVPFMode getAvpfMode()
Deprecated.
06/04/2020 Use `Account` object instead
Get enablement status of RTCP feedback (also known as AVPF profile).

Returns:
  the enablement mode, which can be `AVPFMode.Default` (use
  LinphoneCore's mode), `AVPFMode.Enabled` (avpf is enabled), or `AVPFMode.Disabled`
  (disabled).

### setAvpfMode

@Deprecated void setAvpfMode(AVPFMode mode)
Deprecated.
06/04/2020 Use `Account` object instead
Enable the use of RTCP feedback (also known as AVPF profile).

Parameters:
  `mode` - the enablement mode, which can be `AVPFMode.Default` (use
  LinphoneCore's mode), `AVPFMode.Enabled` (avpf is enabled), or `AVPFMode.Disabled`
  (disabled).

### getAvpfRrInterval

@Deprecated int getAvpfRrInterval()
Deprecated.
06/04/2020 Use `Account` object instead
Get the interval between regular RTCP reports when using AVPF/SAVPF.

Returns:
  The interval in seconds.

### setAvpfRrInterval

@Deprecated void setAvpfRrInterval(int interval)
Deprecated.
06/04/2020 Use `Account` object instead
Set the interval between regular RTCP reports when using AVPF/SAVPF.

Parameters:
  `interval` - The interval in seconds (between 0 and 5 seconds).

### getConferenceFactoryUri

@Deprecated String getConferenceFactoryUri()
Deprecated.
06/04/2020 Use `Account` object instead
Get the conference factory uri.

Returns:
  The uri of the conference factory.

### setConferenceFactoryUri

@Deprecated void setConferenceFactoryUri(String uri)
Deprecated.
06/04/2020 Use `Account` object instead
Set the conference factory uri.

Parameters:
  `uri` - The uri of the conference factory.

### getContact

@Deprecated Address getContact()
Deprecated.
06/04/2020 Use `Account` object instead
Return the contact address of the proxy config.

Returns:
  a `Address` correspong to the contact address of the proxy
  config.

### getContactParameters

@Deprecated String getContactParameters()
Deprecated.
06/04/2020 Use `Account` object instead
Returns the contact parameters.

Returns:
  previously set contact parameters.

### setContactParameters

@Deprecated void setContactParameters(String contactParams)
Deprecated.
06/04/2020 Use `Account` object instead
Set optional contact parameters that will be added to the contact information
sent in the registration.

Parameters:
  `contactParams` - a string contaning the additional parameters in text form,
  like "myparam=something;myparam2=something_else"
  The main use case for this function is provide the proxy additional information
  regarding the user agent, like for example unique identifier or apple push id.
  As an example, the contact address in the SIP register sent will look like
  invalid input: '<'sip:joe@15.128.128.93:50421>;apple-push-id=43143-DFE23F-2323-FA2232.

### getContactUriParameters

@Deprecated String getContactUriParameters()
Deprecated.
06/04/2020 Use `Account` object instead
Returns the contact URI parameters.

Returns:
  previously set contact URI parameters.

### setContactUriParameters

@Deprecated void setContactUriParameters(String contactUriParams)
Deprecated.
06/04/2020 Use `Account` object instead
Set optional contact parameters that will be added to the contact information
sent in the registration, inside the URI.

Parameters:
  `contactUriParams` - a string containing the additional parameters in text
  form, like "myparam=something;myparam2=something_else"
  The main use case for this function is provide the proxy additional information
  regarding the user agent, like for example unique identifier or apple push id.
  As an example, the contact address in the SIP register sent will look like
  invalid input: '<'sip:joe@15.128.128.93:50421;apple-push-id=43143-DFE23F-2323-FA2232>.

### getCore

@Deprecated Core getCore()
Deprecated.
06/04/2020 Use `Account` object instead
Get the `Core` object to which is associated the `ProxyConfig`.

Returns:
  The `Core` object to which is associated the `ProxyConfig`.

### getDependency

@Deprecated ProxyConfig getDependency()
Deprecated.
06/04/2020 Use `Account` object instead
Get the dependency of a `ProxyConfig`.

Returns:
  The proxy config this one is dependent upon, or null if not marked
  dependent.

### setDependency

@Deprecated void setDependency(ProxyConfig dependsOn)
Deprecated.
06/04/2020 Use `Account` object instead
Mark this proxy configuration as being dependent on the given one.
The dependency must refer to a proxy config previously added to the core and
which idkey property is defined.
see: `setIdkey(java.lang.String)`
The proxy configuration marked as dependent will wait for successful
registration on its dependency before triggering its own.
Once registered, both proxy configurations will share the same contact address
(the 'dependency' one).
This mecanism must be enabled before the proxy configuration is added to the
core

Parameters:
  `dependsOn` - The `ProxyConfig` this one shall be depend on.

### getDialEscapePlus

@Deprecated boolean getDialEscapePlus()
Deprecated.
06/04/2020 Use `Account` object instead
Returns whether or not the + should be replaced by 00.

Returns:
  whether liblinphone should replace "+" by "00" in dialed numbers
  (passed to `Core.invite(java.lang.String)`).

### setDialEscapePlus

@Deprecated void setDialEscapePlus(boolean enable)
Deprecated.
06/04/2020 Use `Account` object instead
Sets whether liblinphone should replace "+" by international calling prefix in
dialed numbers (passed to `Core.invite(java.lang.String)` ).

Parameters:
  `enable` - true to replace + by the international prefix, false otherwise.

### getDialPrefix

@Deprecated String getDialPrefix()
Deprecated.
06/04/2020 Use `Account` object instead
Gets the prefix set for this proxy config.

Returns:
  dialing prefix.

### setDialPrefix

@Deprecated void setDialPrefix(String prefix)
Deprecated.
06/04/2020 Use `Account` object instead
Sets a dialing prefix to be automatically prepended when inviting a number with
`Core.invite(java.lang.String)`; This dialing prefix shall usually be the country code of
the country where the user is living, without "+".

Parameters:
  `prefix` - the prefix to set (withouth the +)

### getDomain

@Deprecated String getDomain()
Deprecated.
06/04/2020 Use `Account` object instead
Get the domain name of the given proxy config.

Returns:
  The domain name of the proxy config.

### getError

@Deprecated Reason getError()
Deprecated.
06/04/2020 Use `Account` object instead
Get the reason why registration failed when the proxy config state is
LinphoneRegistrationFailed.

Returns:
  The `Reason` why registration failed for this proxy config.

### getErrorInfo

@Deprecated ErrorInfo getErrorInfo()
Deprecated.
06/04/2020 Use `Account` object instead
Get detailed information why registration failed when the proxy config state is
LinphoneRegistrationFailed.

Returns:
  The `ErrorInfo` explaining why registration failed for this proxy
  config.

### getExpires

@Deprecated int getExpires()
Deprecated.
06/04/2020 Use `Account` object instead
Gets the proxy config expires.

Returns:
  the duration of registration.

### setExpires

@Deprecated void setExpires(int expires)
Deprecated.
06/04/2020 Use `Account` object instead
Sets the registration expiration time in seconds.

Parameters:
  `expires` - the expiration time to set

### getIdentityAddress

@Deprecated Address getIdentityAddress()
Deprecated.
06/04/2020 Use `Account` object instead
Gets the identity addres of the proxy config.

Returns:
  the SIP identity that belongs to this proxy configuration.

### setIdentityAddress

@Deprecated int setIdentityAddress(Address identity)
Deprecated.
06/04/2020 Use `Account` object instead
Sets the user identity as a SIP address.
This identity is normally formed with display name, username and domain, such
as: Alice invalid input: '<'sip:alice@example.net> The REGISTER messages will have from and to
set to this identity.

Parameters:
  `identity` - the `Address` of the identity to set

### getIdkey

@Deprecated String getIdkey()
Deprecated.
06/04/2020 Use `Account` object instead
Get the idkey property of a `ProxyConfig`.

Returns:
  The idkey string, or null.

### setIdkey

@Deprecated void setIdkey(String idkey)
Deprecated.
06/04/2020 Use `Account` object instead
Set the idkey property on the given proxy configuration.
This property can the be referenced by another proxy config 'depends_on' to
create a dependency relation between them. see:
linphone_proxy_config_set_depends_on()

Parameters:
  `idkey` - The idkey string to associate to the given `ProxyConfig`.

### isPushNotificationAllowed

@Deprecated boolean isPushNotificationAllowed()
Deprecated.
06/04/2020 Use `Account` object instead
Indicates whether to add to the contact parameters the push notification
information.
For IOS, it indicates to VOIP push notification.

Returns:
  true if push notification informations should be added, false
  otherwise.

### isPushNotificationAvailable

@Deprecated boolean isPushNotificationAvailable()
Deprecated.
06/04/2020 Use `Account` object instead
Gets whether push notifications are available or not (Android invalid input: '&' iOS only).

Returns:
  true if push notifications are available, false otherwise

### isRemotePushNotificationAllowed

@Deprecated boolean isRemotePushNotificationAllowed()
Deprecated.
06/04/2020 Use `Account` object instead
Indicates whether to add to the contact parameters the remote push notification
information (IOS only).
Default value is false.

Returns:
  true if remote push notification informations should be added, false
  otherwise.

### getNatPolicy

@Deprecated NatPolicy getNatPolicy()
Deprecated.
06/04/2020 Use `Account` object instead
Get The policy that is used to pass through NATs/firewalls when using this
proxy config.
If it is set to null, the default NAT policy from the core will be used
instead.

Returns:
  `NatPolicy` object in use.
  see: `Core.getNatPolicy()`

### setNatPolicy

@Deprecated void setNatPolicy(NatPolicy policy)
Deprecated.
06/04/2020 Use `Account` object instead
Set the policy to use to pass through NATs/firewalls when using this proxy
config.
If it is set to null, the default NAT policy from the core will be used
instead.

Parameters:
  `policy` - `NatPolicy` object.
  see: `Core.setNatPolicy(org.linphone.core.NatPolicy)`

### getPrivacy

@Deprecated int getPrivacy()
Deprecated.
06/04/2020 Use `Account` object instead
Get default privacy policy for all calls routed through this proxy.

Returns:
  Privacy mode as LinphonePrivacyMask

### setPrivacy

@Deprecated void setPrivacy(int privacy)
Deprecated.
06/04/2020 Use `Account` object instead
Set default privacy policy for all calls routed through this proxy.

Parameters:
  `privacy` - `Privacy` to configure privacy

### isPublishEnabled

@Deprecated boolean isPublishEnabled()
Deprecated.
06/04/2020 Use `Account` object instead
Gets if the PUBLISH is enabled.

Returns:
  true if PUBLISH request is enabled for this proxy.

### setPublishEnabled

@Deprecated void setPublishEnabled(boolean enable)
Deprecated.
06/04/2020 Use `Account` object instead
Indicates either or not, PUBLISH must be issued for this `ProxyConfig`.
In case this `ProxyConfig` has been added to `Core`, follows the
`edit()` rule.

Parameters:
  `enable` - if true, publish will be engaged

### getPublishExpires

@Deprecated int getPublishExpires()
Deprecated.
06/04/2020 Use `Account` object instead
get the publish expiration time in second.
Default value is the registration expiration value.

Returns:
  expires in second

### setPublishExpires

@Deprecated void setPublishExpires(int expires)
Deprecated.
06/04/2020 Use `Account` object instead
Set the publish expiration time in second.

Parameters:
  `expires` - in second

### setPushNotificationAllowed

@Deprecated void setPushNotificationAllowed(boolean allow)
Deprecated.
06/04/2020 Use `Account` object instead
Indicates whether to add to the contact parameters the push notification
information.
For IOS, it indicates to VOIP push notification.

Parameters:
  `allow` - true to allow push notification information, false otherwise.

### getPushNotificationConfig

@Deprecated PushNotificationConfig getPushNotificationConfig()
Deprecated.
06/04/2020 Use `Account` object instead
Retrieves the push notification configuration.

Returns:
  The `PushNotificationConfig`.

### setPushNotificationConfig

@Deprecated void setPushNotificationConfig(PushNotificationConfig pushCfg)
Deprecated.
06/04/2020 Use `Account` object instead
Sets the push notification configuration.

Parameters:
  `pushCfg` - `PushNotificationConfig` to set.

### getQualityReportingCollector

@Deprecated String getQualityReportingCollector()
Deprecated.
06/04/2020 Use `Account` object instead
Get the route of the collector end-point when using quality reporting.
This SIP address should be used on server-side to process packets directly
before discarding packets. Collector address should be a non existing account
and will not receive any messages. If null, reports will be send to the proxy
domain.

Returns:
  The SIP address of the collector end-point.

### setQualityReportingCollector

@Deprecated void setQualityReportingCollector(String collector)
Deprecated.
06/04/2020 Use `Account` object instead
Set the route of the collector end-point when using quality reporting.
This SIP address should be used on server-side to process packets directly
before discarding packets. Collector address should be a non existing account
and will not receive any messages. If null, reports will be send to the proxy
domain.

Parameters:
  `collector` - route of the collector end-point, if null PUBLISH will be sent
  to the proxy domain.

### isQualityReportingEnabled

@Deprecated boolean isQualityReportingEnabled()
Deprecated.
06/04/2020 Use `Account` object instead
Indicates whether quality statistics during call should be stored and sent to a
collector according to RFC 6035.

Returns:
  True if quality repotring is enabled, false otherwise.

### setQualityReportingEnabled

@Deprecated void setQualityReportingEnabled(boolean enable)
Deprecated.
06/04/2020 Use `Account` object instead
Indicates whether quality statistics during call should be stored and sent to a
collector according to RFC 6035.

Parameters:
  `enable` - True to store quality statistics and send them to the collector,
  false to disable it.

### getQualityReportingInterval

@Deprecated int getQualityReportingInterval()
Deprecated.
06/04/2020 Use `Account` object instead
Get the interval between interval reports when using quality reporting.

Returns:
  The interval in seconds, 0 means interval reports are disabled.

### setQualityReportingInterval

@Deprecated void setQualityReportingInterval(int interval)
Deprecated.
06/04/2020 Use `Account` object instead
Set the interval between 2 interval reports sending when using quality
reporting.
If call exceed interval size, an interval report will be sent to the collector.
On call termination, a session report will be sent for the remaining period.
Value must be 0 (disabled) or positive.

Parameters:
  `interval` - The interval in seconds, 0 means interval reports are disabled.

### getRealm

@Deprecated String getRealm()
Deprecated.
06/04/2020 Use `Account` object instead
Get the realm of the given proxy config.

Returns:
  The realm of the proxy config.

### setRealm

@Deprecated void setRealm(String realm)
Deprecated.
06/04/2020 Use `Account` object instead
Set the realm of the given proxy config.

Parameters:
  `realm` - New realm value.

### getRefKey

@Deprecated String getRefKey()
Deprecated.
06/04/2020 Use `Account` object instead
Get the persistent reference key associated to the proxy config.
The reference key can be for example an id to an external database. It is
stored in the config file, thus can survive to process exits/restarts.

Returns:
  The reference key string that has been associated to the proxy config,
  or null if none has been associated.

### setRefKey

@Deprecated void setRefKey(String refkey)
Deprecated.
06/04/2020 Use `Account` object instead
Associate a persistent reference key to the proxy config.
The reference key can be for example an id to an external database. It is
stored in the config file, thus can survive to process exits/restarts.

Parameters:
  `refkey` - The reference key string to associate to the proxy config.

### isRegisterEnabled

@Deprecated boolean isRegisterEnabled()
Deprecated.
06/04/2020 Use `Account` object instead
Returns whether the proxy config is enabled or not.

Returns:
  true if registration to the proxy is enabled.

### setRegisterEnabled

@Deprecated void setRegisterEnabled(boolean enable)
Deprecated.
06/04/2020 Use `Account` object instead
Indicates either or not, REGISTRATION must be issued for this `ProxyConfig`
.
In case this `ProxyConfig` has been added to `Core`, follows the
`edit()` rule.

Parameters:
  `enable` - if true, registration will be engaged

### setRemotePushNotificationAllowed

@Deprecated void setRemotePushNotificationAllowed(boolean allow)
Deprecated.
06/04/2020 Use `Account` object instead
Indicates whether to add to the contact parameters the remote push notification
information (IOS only).

Parameters:
  `allow` - true to allow remote push notification information, false
  otherwise.

### setRoute

@Deprecated int setRoute(String route)
Deprecated.
08/07/2020 use `setRoutes(java.lang.String[])` instead
Sets a SIP route.
When a route is set, all outgoing calls will go to the route's destination if
this proxy is the default one (see `Core.setDefaultProxyConfig(org.linphone.core.ProxyConfig)` ).

Parameters:
  `route` - the SIP route to set
Returns:
  -1 if route is invalid, 0 otherwise.

### getRoutes

@Deprecated String[] getRoutes()
Deprecated.
06/04/2020 Use `Account` object instead
Gets the list of the routes set for this proxy config.

Returns:
  The list of routes as string.

### setRoutes

@Deprecated int setRoutes(String[] routes)
Deprecated.
06/04/2020 Use `Account` object instead
Sets a list of SIP route.
When a route is set, all outgoing calls will go to the route's destination if
this proxy is the default one (see `Core.setDefaultProxyConfig(org.linphone.core.ProxyConfig)` ).

Parameters:
  `routes` - A of routes
Returns:
  -1 if routes are invalid, 0 otherwise.

### getServerAddr

@Deprecated String getServerAddr()
Deprecated.
06/04/2020 Use `Account` object instead
Gets the proxy config proxy address.

Returns:
  the proxy's SIP address.

### setServerAddr

@Deprecated int setServerAddr(String serverAddress)
Deprecated.
06/04/2020 Use `Account` object instead
Sets the proxy address.
Examples of valid sip proxy address are:

Parameters:
  `serverAddress` - the proxy address to set.

### getState

@Deprecated RegistrationState getState()
Deprecated.
06/04/2020 Use `Account` object instead
Get the registration state of the given proxy config.

Returns:
  The `RegistrationState` of the proxy config.

### getTransport

@Deprecated String getTransport()
Deprecated.
06/04/2020 Use `Account` object instead
Get the transport from either service route, route or addr.

Returns:
  The transport as a string (I.E udp, tcp, tls, dtls)

### getUnreadChatMessageCount

@Deprecated int getUnreadChatMessageCount()
Deprecated.
06/04/2020 Use `Account` object instead
Return the unread chat message count for a given proxy config.

Returns:
  The unread chat message count.

### done

@Deprecated int done()
Deprecated.
06/04/2020 Use `Account` object instead
Commits modification made to the proxy configuration.

Returns:
  0 if successful, -1 otherwise

### edit

@Deprecated void edit()
Deprecated.
06/04/2020 Use `Account` object instead
Starts editing a proxy configuration.
Because proxy configuration must be consistent, applications MUST call `edit()`
before doing any attempts to modify proxy configuration (such as identity,
proxy address and so on). Once the modifications are done, then the application
must call `done()` to commit the changes.

### findAuthInfo

@Deprecated AuthInfo findAuthInfo()
Deprecated.
06/04/2020 Use `Account` object instead
Find authentication info matching proxy config, if any, similarly to
linphone_core_find_auth_info.

Returns:
  a `AuthInfo` matching proxy config criteria if possible, null if
  nothing can be found.

### getCustomHeader

@Deprecated String getCustomHeader(String headerName)
Deprecated.
06/04/2020 Use `Account` object instead
Obtain the value of a header sent by the server in last answer to REGISTER.

Parameters:
  `headerName` - the header name for which to fetch corresponding value
Returns:
  the value of the queried header.

### normalizePhoneNumber

@Deprecated String normalizePhoneNumber(String username)
Deprecated.
06/04/2020 Use `Account` object instead
Normalize a human readable phone number into a basic string.
888-444-222 becomes 888444222 or +33888444222 depending on the `ProxyConfig`
object. This function will always generate a normalized username if input is a
phone number.

Parameters:
  `username` - the string to parse
Returns:
  null if input is an invalid phone number, normalized phone number from
  username input otherwise.

### normalizeSipUri

@Deprecated Address normalizeSipUri(String username)
Deprecated.
06/04/2020 Use `Account` object instead
Normalize a human readable sip uri into a fully qualified LinphoneAddress.
A sip address should look like DisplayName invalid input: '<'sip:username@domain:port> .
Basically this function performs the following tasks
The result is a syntactically correct SIP address.

Parameters:
  `username` - the string to parse
Returns:
  null if invalid input, normalized sip address otherwise.

### pauseRegister

@Deprecated void pauseRegister()
Deprecated.
06/04/2020 Use `Account` object instead
Prevent a proxy config from refreshing its registration.
This is useful to let registrations to expire naturally (or) when the
application wants to keep control on when refreshes are sent. However,
linphone_core_set_network_reachable(lc,true) will always request the proxy
configs to refresh their registrations. The refreshing operations can be
resumed with `refreshRegister()`.

### refreshRegister

@Deprecated void refreshRegister()
Deprecated.
06/04/2020 Use `Account` object instead
Refresh a proxy registration.
This is useful if for example you resuming from suspend, thus IP address may
have changed.

### setCustomHeader

@Deprecated void setCustomHeader(String headerName, String headerValue)
Deprecated.
06/04/2020 Use `Account` object instead
Set the value of a custom header sent to the server in REGISTERs request.

Parameters:
  `headerName` - the header name
  `headerValue` - the header's value

### setUserData

void setUserData(Object data)
Deprecated.
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Deprecated.
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Deprecated.
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()
Deprecated.

Overrides:
  `toString` in class `Object`